

                WinRAR - What's new in the latest version


   Version 4.11

   1. Bugs fixed:

      a) WinRAR did not store NTFS "Compressed" attribute, when creating
         RAR archives;

      b) WinRAR crashed in command line mode if @filelist parameter 
         was present and 'filelist' did not exist. This bug affected
         only WinRAR.exe, not RAR.exe;

      c) if -x*\somefolder\* exclusion mask was specified when archiving 
         and if name of current folder contained 'somefolder', 
         WinRAR excluded all files and stopped creating an archive;

      d) GUI self-extracting archives did not work in Windows
         Preinstallation Environment (Windows PE).

   
   Version 4.10

   1. WinRAR can create ZIP archives of practically any size.

      2 GB archive size and 65535 file number ZIP limitations of previous
      WinRAR versions are not valid anymore.

   2. WinRAR can create multivolume ZIP archives, which are also known as
      split ZIP files.

      ZIP volumes have names like 'volname.zip', 'volname.z01', 'volname.z02'.
      Use a volume with ".zip" file extension in all archive processing
      operations like starting extraction or opening an archive.

      Unlike RAR volumes, ZIP volumes cannot be self-extracting.

      WinRAR needs to have access to all ZIP volumes of multivolume file set
      at the same time, when creating or unpacking them. So it is impossible
      to create or unpack ZIP volumes on removable disks, one volume
      per disk. You need to create them all in the same folder.

   3. Added the high precision file time support in ZIP archives.
      WinRAR can store and extract modification, creation and last access
      file time in ZIP archives with 100 nanosecond precision.

      You need to set "High precision modification time" option in "Time"
      part of archiving dialog to store all 3 times in archive.
      Set appropriate "File time" options in "Advanced" part of extraction
      dialog to choose times to extract.

   4. Added support for Unicode names stored in ZIP extra field data.
      Different ZIP tools store Unicode names either in file header
      or in ZIP extra field and now WinRAR can correctly process both types
      of Unicode names.

   5. "Synchronize archive contents" option and -as command line switch are
      supported in ZIP format.

   6. Modifications of switch -ag behavior:

      a) -ag can be used with all RAR and WinRAR commands, not just
         with archiving only;

      b) 'N' format character behavior differs in archiving and non-archiving
         operations. When archiving, it is incremented until the first unused
         name is found. In non-archiving operations like extracting it selects
         the existing archive preceding the first unused name;

      c) 'I' format character allows to specify minutes regardless of presence
         and position of 'H' (hours) in format string. It can be used
         instead of 'M' (minutes), when you wish to place minutes before hours
         or do not need hours at all.

   7. By default, WinRAR proposes to update an archive if viewer modified
      an opened file or created any new files. New "Ignore modifications for"
      option in "Settings/Viewer" dialog allows to disable such behavior.
      You can enter one or several file masks separated by spaces here
      and WinRAR will not prompt to update an archive if file created
      or modified by viewer matches one of these masks.

   8. Changes in volume size input field. Now you can select size units
      in the drop down list to the right of volume size. Previous way
      to define size modifiers, by entering 'k', 'm', etc. character
      after the numeric size value, is also supported.

   9. Changes in "Predefined sizes" in "Define volume sizes" dialog.
      Floppies and ZIP disks are replaced by 5 MB and 100 MB volumes,
      added new entries for maximum FAT32 file size and for Blu-ray disks.

  10. New "Wipe files if password is set" option in "Options" page of
      archiving dialog. If you prefer to always delete encrypted files
      securely, you can enable "Wipe files if password is set"
      in the default compression profile.

  11. New "Wipe temporary files/Encrypted only" option in "Settings/Security".
      It allows to use a slower and more secure delete for temporary files
      extracted from archives identified by WinRAR as encrypted.
      Quick delete is used for all other temporary files.

  12. Changes in "Convert archives" command:

      a) now it is possible to convert encrypted archives. Previously
         "Convert archives" command skipped them.

         Though, if you still prefer to skip them, you can do it
         by enabling "Skip encrypted archives" option in "Convert archives"
         dialog. It might be useful if you wish to run the conversion
         command in unattended mode, avoiding password prompts;

      b) special "rar2" archive type, which was specific for RAR 1.x
         and 2.x archives, is removed. Now "rar" archive type controls
         conversion of all versions of RAR archives.

         Since the convert command does not need to detect RAR archive
         version anymore, the initial search for archives is performed
         faster, resulting in shorter delay before displaying
         "Convert archives" dialog.

  13. New -log[fmt][=name] switch allows to write archive and file names
      to log file in archiving command for RAR and ZIP formats and also
      in extracting, deleting and listing commands for RAR format.

      This switch is especially useful, when you need to further process
      an archive created with -ag or -v switches, because -log provides
      the archive name generated by WinRAR.

  14. New -@[+] switch allows to process all parameters starting from
      '@' character either as file names (-@) or as file lists (-@+).

  15. "Setup program" SFX options are moved from "General" to "Setup" page
      of "Advanced SFX options" dialog. Both "Run after extraction"
      and "Run before extraction" are now multiline, so it is possible
      to specify several setup programs for same SFX archive.

  16. "SetupCode" SFX script command instructs SFX archive to wait
      for termination of setup program and return the exit code of
      setup program increased by 1000 as the exit code of SFX executable.

      GUI equivalent of this command is "Wait and return exit code" option
      on "Setup" page of "Advanced SFX options" dialog.

  17. SFX does not support "S" (create in the top level of Start Menu)
      "Shortcut" command mode anymore. Recent Windows versions do not allow
      programs to add items to the top of Start Menu.

  18. Volume size in archiving and wizard dialogs can be specified as
      a decimal fraction. Decimal mark is defined by Windows regional
      settings.

      -v<size> command line switch also allows decimal fractions.
      In command line mode the dot (.) is always used as the decimal mark.
      For example, -v1.5g switch means 1.5 gigabytes.


   Version 4.01

   1. Added support for file sizes stored in binary format in TAR archives.
      Some TAR archives use the binary size format instead of octal
      for files larger than 8 GB.
   
   2. Bugs fixed:

      a) "Repair" command failed to properly reconstruct structure
         of RAR archives, which contained at least one file with packed
         size exceeding 4 GB.

         This bug did not affect the recovery record based repair.
         It happened only if recovery record was not found and WinRAR
         performed reconstruction of archive structure;

      b) even if "Do not extract paths" option in "Advanced" part of
         extraction dialog was set as the default, WinRAR still unpacked
         file paths if called from Explorer context menu;

      c) after entering a wrong password for encrypted ZIP archive,
         sometimes WinRAR ignored subsequent attempts to enter a valid
         password;

      d) "Wizard" command did not allow to create self-extracting 
         and multivolume archives, when compressing a single folder
         or a file without extension;

      e) "Import settings from file" command did not restore multiline
         comments in WinRAR compression profiles;

      f) when converting RAR volumes having name1.name2.part#.rar name format,
         "Convert archives" command erroneously removed ".name2" name part.
         So resulting archive had name1.rar file name instead of expected
         name1.name2.rar;

      g) RAR could crash when creating a new archive with -agNNN switch
         if archive number in generated name was 110 or larger;

      h) WinRAR failed to display non-English file names in 7-Zip archives
         properly if they used a non-default code page. It was the display
         only problem, such names were unpacked correctly.


   Version 4.00

   1. RAR decompression speed is improved. Depending on data type,
      decompression can be up to 30% faster than in previous versions.

      Both the general RAR algorithm and most of special RAR multimedia
      methods benefit from this improvement. The only module of RAR
      algorithm, which is not affected, is "Text compression" method.

   2. Changes in ISO support:

      a) UDF support is upgraded to UDF 2.50 revision. It makes possible
         to unpack most of Blu-ray ISO files;

      b) when browsing UDF ISO file, UDF revision number is displayed
         after the "UDF" format name in WinRAR address bar
         and in archive information dialog;

      c) WinRAR sets the folder modification date when unpacking folders
         stored in UDF and ISO9660 files.
   
   3. Changes in password dialog:

      a) WinRAR uses the same format of password dialog both when archiving
         and extracting, so "Show password" option is available also
         when extracting;

      b) "Organize passwords..." button in password dialog provides
         access to password organizer interface, where you can specify
         your frequently used passwords. You will be able to access these
         saved passwords using the drop down list or autocomplete feature
         in password dialog.

         It is important to know that saved passwords are not encrypted
         and anybody having access to your computer can view them.
         Use "Organize passwords" feature only if your computer is
         protected from unauthorized access;

      c) "Use for all archives" option is available in password dialog
         when unpacking several archives at once. You can utilize it
         to apply an entered password to all archives.

         If you use this option with an empty password, WinRAR will skip
         all encrypted archives;

      d) Unlike previous versions, the password from default compression
         profile is not used for extraction.
         
         If you wish to use the same password for all extracting archives,
         press "Organize passwords..." button in the password dialog
         and define a new password entry, specifying "*" file mask 
         in "Select for archives" field.
   
   4. In Windows 7 WinRAR will display the total operation progress
      also on WinRAR icon on Windows taskbar. You can disable it using
      "Taskbar progress bar" option on "General" page of WinRAR settings.

   5. Numerous Unicode support improvements allow to process non-English
      file names more smoothly. These improvements include:

      a) better Unicode handling in WinRAR in "Rename", "Convert",
         "Find" and other commands, in folder tree panel, in password 
         request dialog and in many other parts of WinRAR interface;

      b) correctly displayed Unicode names in WinRAR items in Explorer
         context menus;

      c) Unicode support in .lng files, making WinRAR localization
         possible for Unicode only languages.
   
   6. Changes in -x<file> switch syntax. Now you can specify a wildcard
      exclusion mask for folders. Such mask must have the trailing '\'
      character, like -x*tmp*\ or -x*\temp\

   7. New "Extract relative paths" option in "Advanced" part of extraction
      dialog. If you browse some archive subfolder in WinRAR shell
      and enable "Extract relative paths" option, the path part up to
      and including the current subfolder will be removed from extracted
      file paths.
      
      For example, if you are inside of "Backup\MyData" archive folder
      and extract "Images" folder, it will be extracted as "Images",
      not as "Backup\MyData\Images".

      This option is the new default extraction mode, but you can change
      the default back to WinRAR 3.x style. Just select "Extract full paths"
      and then press "Save settings" in "General" part of extraction dialog.
   
   8. Windows 98, Windows Me and Windows NT are not supported by WinRAR
      and WinRAR self-extracting modules anymore. Minimum Windows version
      required for WinRAR 4.0 is Windows 2000.
      
      If you need to run WinRAR on older Windows, you can download
      previous WinRAR versions from ftp://ftp.rarlab.com/rar

   9. If TAR, TAR.GZ or TAR.BZ2 archive contains symbolic or hard links
      and if destination file system is NTFS, WinRAR will create these
      links when unpacking such archive. WinRAR will create symbolic links
      as symbolic and hard links as hard in Windows Vista and newer
      and it will create all links as hard in older Windows.

      If destination file system is FAT32 or any other not supporting
      file links, WinRAR will skip links when unpacking TAR, TAR.GZ
      and TAR.BZ2 archives.
   
  10. Recovery volume processing involves less disk seek operations
      resulting in higher performance.

  11. You can select Windows 7 library in tree panel in extraction dialog
      and WinRAR will use its default save location as the destination path.

  12. "Report" command allows to select HTML, Unicode text and usual text
      as output format for report file. Unlike previous WinRAR versions,
      now WinRAR preservers Unicode characters in reports when using HTML
      or Unicode text format. So non-English characters in file names
      will be displayed properly in such reports.
   
  13. Message list in GUI SFX archives displays only operation status
      and error messages. It does not contain names of all extracted files
      anymore. This change improves the speed and reduces memory requirements
      for SFX archives containing a large number of files. Also it makes
      easier to locate error messages, because they are not hidden among
      extracted file names.

  14. GUI SFX archives display "Extract" button instead of "Install"
      if no "Setup" or "Presetup" commands are present in the archive
      comment. If you prefer "Install" button, but do not need to
      execute any setup programs, you can add "Setup=<>" command.
  
  15. WinRAR displays the current percent above the operation progress bar
      when repairing an archive containing the recovery record
      and when processing recovery volumes.

  16. WinRAR limits the maximum possible volume size to 4 GB minus 1 byte
      when creating RAR volumes on a disk with FAT or FAT32 file system
      in volume size autodetecting mode. These file systems do not support
      4 GB and larger files.

  17. If "Wait if other WinRAR copies are active" option is enabled
      and WinRAR waits for another copy, you can press "Continue" button
      in command progress window to force WinRAR to stop waiting.
      So now "Continue" button allows to override the state of
      "Wait if other WinRAR copies are active" option for current operation.

  18. WinRAR displays one password request instead of two, when saving
      an encrypted file back to RAR or ZIP archive after modifying it
      in some external editor. Previous WinRAR versions usually requested
      the password twice, both when extracting the original file
      and archiving its modified copy. Only RAR archives with encrypted
      file names were processed with the single password prompt.

  19. New error code 10 ("no files") is added to list of error codes
      returned in command line mode by RAR and WinRAR. This new code
      can be returned by archive, extract, delete and repair commands.
      It means that RAR did not find any files matched the specified
      file or archive mask.
  
  20. File name area in file overwrite dialog occupies several lines now.
      It makes possible to display much longer names.
  
  21. Now switch -ep3 converts not only disk letters, but also UNC paths.
      So \\server\share will be converted to __server\share when archiving
      and restored to the original \\server\share when extracting with -ep3.

  22. New "Background extraction" option in "Advanced" part of extraction
      dialog places WinRAR into background, when extracting files.
      You can save its default state with "Save settings" button in "General"
      part of extraction dialog, just like for other extraction options.

      "Background archiving" option from the default compression profile
      does not affect the extraction behavior anymore.

  23. "Mode..." button in operation progress window is enabled also
      when extracting or testing archives. It provides access to 
      "Command parameters" dialog, where you can set "Turn PC off when done"
      option for extraction and test operations.

      Previously this dialog was accessible only when archiving.

  24. Bugs fixed:

      a) renaming a file in archive could also rename all other files
         with the same name in other folders of the same archive;

      b) previous versions displayed the wrong total packed size
         in "Info" command for multivolume CAB archives;

      c) in ZIP archives 'U' (update) and 'F' (fresh) commands could
         erroneously update even files not specified in the command line.
         It happened only for files in current folder which names matched
         files in ZIP archive. This bug was not present in usual 'A' (add)
         archiving mode.

   
   Version 3.93

   1. Bugs fixed:

      a) in WinRAR 3.92 -xd:\path\folder switch could also exclude folders,
         which path does not match the path specified in the switch
         and only the folder name is the same as specified;
      
      b) switches -y -or did not work correctly together. Switch -or was
         ignored in presence of -y.

   
   Version 3.92

   1. If you start WinRAR command from Explorer context menu in multiple
      monitor configuration, the command dialog will be displayed
      on the same monitor as context menu. In previous versions it was
      always displayed on primary monitor.

   2. WinRAR "Compress and email..." context menu command adds the archive
      name to email subject. Previous versions left the subject blank.

   3. In RAR 3.91 -x<mask> switch could also exclude folders from archiving
      even if mask contained wilcard characters and did not contain a path.
      For example, -x*. excluded all those folders, which do not have
      the extension in the name. Now -x switch uses RAR 3.80 approach
      for masks without path, excluding folders only if mask does not
      contain wildcards and matches the folder name exactly.

   4. Bugs fixed:

      a) WinRAR 3.91 reported the incorrect "Unexpected end of archive"
         error, when opening an empty ZIP archive created with
         "New WinRAR ZIP archive" context menu command;

      b) if "Delete archive" option was enabled when unpacking several
         ZIP archives and if one of archives was damaged, WinRAR did not
         delete archives after the damaged one, even if they were unpacked
         successfully;

      c) if file matched two different masks in RarFiles.lst, WinRAR
         could select the last match. Normally, if neither of masks
         is a subset of another, the first match must be chosen.


   Version 3.91

   1. This version can decompress 7-Zip archives created with
      LZMA2 algorithm.

   2. Now a password is requested only once when unpacking 7z archives
      with encrypted file names from context menu. WinRAR 3.90 asked it
      twice.

   3. This version can unpack tar.bz2 archives consisting of several
      smaller bz2 streams merged together. Previous versions unpacked
      only the first nested bz2 stream in such composite archive.

   4. WinRAR displays CRC32 of files inside of usual .gz (not .tar.gz)
      archives. Previous versions left this field blank for GZIP files.

   5. Bugs fixed:

      a) WinRAR 3.90 displayed "Save" button instead of "Open" or "OK"
         in "Find archive" dialog ("Open archive" command in "File" menu
         and "Browse..." command in archiving dialog);

      b) WinRAR could display incorrect file names when browsing malformed
         ZIP archives;

      c) WinRAR 3.90 failed to decompress LZH archives created with
         "-lh7-" algorithm;

      d) WinRAR 3.90 could fail to delete a part of files after archiving
         if delete to Recycle Bin was enabled. This bug was present
         when working in Windows XP, but not in Windows Vista and Windows 7;

      e) when unpacking ISO file using WinRAR "Extract files..." command
         in Explorer context menu, WinRAR could unpack same archived files
         twice during the same operation. It displayed the overwrite prompt
         when unpacking files for the second time;

      f) hexadecimal search in WinRAR 3.90 "Find" command and console RAR
         "ih" command failed to find matches if first byte in search string
         was greater than 127.

   
   Version 3.90

   1. WinRAR version for Windows x64 is available. If you use
      Windows x64, it is strongly recommended to install 64 bit
      WinRAR version. It provides a higher performance and better 
      shell integration than 32 bit version.

   2. RAR compression speed is improved for multi-core
      and multi-CPU systems. This improvement is most noticeable
      in Windows Vista and Windows 7 operating systems.

   3. "Remove duplicate folders from extraction path" option
      in "Settings/Compression" dialog is replaced by more universal
      "Remove redundant folders from extraction path" option.
      This option will eliminate redundant archive name based folders
      from extraction path if you unpack an archive with
      "Extract to DestName\" context menu command and if archive
      root folder contains only one folder and no files.

   4. Changes in "Extraction path and options" dialog:

      a) "New folder" button creates a new subfolder in currently
          selected folder;

      b) F2 key renames a selected folder in the folders tree;

      c) F5 key updated the tree pane contents;

      d) Del key removes a selected folder in the folders tree.

   5. You can enable "Show seconds" option in "Settings/File list"
      dialog if you wish to see seconds in file dates in file list
      in WinRAR shell.

   6. "Where to check for SFX archives" options group
      in "Settings/Integration/Context menus items" dialog lets
      you to control processing of SFX archives in context menus.
      For example, if you frequently right click ".exe" files
      on slow network disks, you can turn off "Network disks" options
      to minimize the delay before displaying the context menu.

   7. If you sort files by name in the file list in WinRAR shell,
      WinRAR will use the new logical file name sorting,
      same as in Windows Explorer, considering digits in file names
      by their numerical value. So files will be sorted as
      1.txt, 2.txt, 10.txt instead of previous 1.txt, 10.txt, 2.txt.
      This new sort behavior is available in Windows XP Service Pack 2
      and newer.
   
   8. Ctrl+W key combination can be used to close the main WinRAR window
      also as WinRAR viewer windows. "View as Windows text" shortcut
      in WinRAR viewer changed from Ctrl+W to Ctrl+I.
   
   9. New command line switch -r- disables recursion completely.
      So 'rar a -r- arc dirname' command will add only the empty
      dirname folder and ignore its contents. By default, if dirname
      does not include wildcards, RAR adds its contents even if
      -r switch is not specified.

  10. If used when extracting, the new command line switch -ai forces
      RAR to ignore file attributes. When using this switch,
      extracted files will always have attributes assigned by
      operating system to a newly created file by default.

  11. If output file name is not specified in "cw" command, console RAR
      will send comment data to stdout.

  12. When compressing stdin data with -si[name] switch, RAR sets 
      modification time of archived entry to current system time.
      Previous RAR versions did not fill this field, resulting in
      meaningless modification time for stdin.

  13. Message displayed when you place the mouse cursor on WinRAR
      tray icon includes the archive name now. Previously only
      time left and total percent were displayed for archiving operations.
  
  14. New 'Shutdown' variable in 'Software\WinRAR\Policy' registry key
      allows to disable "Turn PC off when done" option for security reasons.
      Read "Configuration settings/Registry variables" for more details.

  15. Better shell extension performance. Now WinRAR context menu will be
      more responsive when working with thousands of selected files.

  16. Improved compatibility with high DPI Windows display mode.

  17. Bugs fixed:

      a) WinRAR could fail to open tar or tar.gz archive if such archive
         contained a file larger than 8 GB;
      
      b) WinRAR context menu did not work properly in Windows 7 beta
         if icons in context menus were enabled and user clicked
         a file inside of Windows 7 Library folder;
  
      c) previous WinRAR versions failed to rename files having 5 or more
         continuous spaces in the name. WinRAR shell does not display
         such spaces for safety reasons, because they can hide an actual
         file extension. But this security measure prevented the rename
         command to work properly.


   Version 3.80

   1. Added support for ZIP archives containing Unicode file names
      in UTF-8 format. When creating ZIP archive, WinRAR stores 
      names in Unicode only if they cannot be stored correctly using 
      the current single byte character set.

   2. Added decompression support for WinZip AES encrypted ZIP archives.

   3. Improved Unicode support for RAR and ZIP archive names.

   4. "Ask before overwrite" and "Skip existing files" update modes
      are now available in archiving dialog. They allow to specify
      WinRAR behavior when updating already existing files in archive.
      Unlike already available "Fresh existing files only" and
      "Add and update files", these new modes ignore file date
      and compare only file names.

      Command line equivalents of these modes are:

      a) switch -o enables "Ask before overwrite" archiving mode;

      b) switch -o- enables "Skip existing files" archiving mode;

      c) switch -o+ enables "Overwrite all" mode (default for archiving).

   5. New "Add to context menu" option in "Profile parameters" dialog.
      If this option is on, the profile name will be displayed in Explorer
      context menus allowing to activate a profile from context menu. 

   6. New -cp<profile name> switch allows to select a compression profile
      in command line mode. It is supported only by GUI WinRAR.exe,
      not by rar.exe.

   7. New "Options" page of archiving dialog contains the group of
      settings modifying the behavior of "Delete files after archiving"
      option from "General" page:

      a) Delete files. Delete files normally like in previous WinRAR
         versions.

      b) Move files to Recycle Bin. Deleted files are placed to
         Recycle Bin.

         Command line equivalent of this option is -dr switch.

      c) Wipe files. Before deleting file data are overwritten by
         zero bytes to prevent recovery of deleted files.

         Command line equivalent of this option is -dw switch.

      All these options have an effect only if "Delete files
      after archiving" is on. You can enable any of these options
      in the default compression profile to change the default
      behavior of "Delete files after archiving".

   8. WinRAR "Extraction path and options" dialog is now resizable.
      You can use the mouse to drag its border to the desired size 
      and provide more space for folder tree pane. WinRAR will store
      new dimensions of this dialog.

   9. New "Update" SFX script command and "Update mode" group
      of options in "Update" page of "Advanced SFX options" dialog.
      These command and options allow to check time and implement
      file time based updating;

  10. SFX script "Shortcut" command and "Add shortcut..." command
      in "Advanced SFX options" dialog now allow to specify
      an icon file containing an icon associated with shortcut.

  11. New "Wipe temporary files" option in "Settings/Security" dialog
      provides more secure, though slower, way to delete temporary
      WinRAR files.

  12. WinRAR and RAR display the total progress bar when unpacking
      a multivolume RAR archive if all volumes are present
      in the same folder.

  13. WinRAR and RAR automatically expand names of environment
      variables in list files. For example, a list file can contain
      lines like:

        %windir%\*.exe
        %USERPROFILE%\Desktop

      This feature is available only in Windows RAR version.

  14. Added support of TAR archives with non-zero "extra field" data.
      
  15. Added support of TAR archives, which does not contain
      the end of archive entry consisting of 512 zero bytes.

  16. Improved Unicode support when dragging files from WinRAR window.

  17. Shift+Tab key combination can be used in main WinRAR window to 
      switch the input focus between interface elements (files, comment, 
      tree, address) in reverse order. In previous versions Shift+Tab 
      used the same order as Tab.

  18. Corrected a possible WinRAR crash when opening truncated 
      UDF ISO files.
